# Class MultiDocApplication

java.lang.Object
jam.framework.Application
jam.framework.MultiDocApplication

Direct Known Subclasses:
  `DemoApplication`

public class MultiDocApplication extends Application

## Constructor Summary

Constructors
Constructor
Description
`MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, String websiteURLString, String helpURLString)`
`MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`
`MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)`
`MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`
`MultiDocApplication(String nameString, String aboutString, Icon icon)`
`MultiDocApplication(String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroyDocumentFrame(DocumentFrame documentFrame)`
`DocumentFrame`
`doNew()`
`DocumentFrame`
`doOpenFile(File file)`
`void`
`doQuit()`
`DocumentFrame`
`getDocumentFrame(File file)`
`DocumentFrame`
`getUpperDocumentFrame()`
`final void`
`initialize()`
`void`
`setDocumentFrameFactory(DocumentFrameFactory documentFrameFactory)`

### Methods inherited from class Application

`addMenuFactory, addPreferencesSection, addRecentFile, displayURL, doAbout, doHelp, doOpen, doOpen, doPageSetup, doPreferences, doWebsite, getAboutAction, getAboutBackground, getAboutForeground, getAboutString, getApplication, getExitAction, getHelpAction, getHelpURLString, getIcon, getMenuBarFactory, getNameString, getNewAction, getOpenAction, getPageSetupAction, getPreferencesAction, getRecentFileMenu, getTitleString, getWebsiteAction, getWebsiteURLString`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultiDocApplication

public MultiDocApplication(String nameString, String aboutString, Icon icon)

### MultiDocApplication

public MultiDocApplication(String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)

### MultiDocApplication

public MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon)

### MultiDocApplication

public MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String aboutString, Icon icon, String websiteURLString, String helpURLString)

### MultiDocApplication

public MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Icon icon, String websiteURLString, String helpURLString)

### MultiDocApplication

public MultiDocApplication(MenuBarFactory menuBarFactory, String nameString, String titleString, String aboutString, Color aboutBackground, Color aboutForeground, Icon icon, String websiteURLString, String helpURLString)

## Method Details

### initialize

public final void initialize()

Specified by:
  `initialize` in class `Application`

### setDocumentFrameFactory

public void setDocumentFrameFactory(DocumentFrameFactory documentFrameFactory)

### destroyDocumentFrame

public void destroyDocumentFrame(DocumentFrame documentFrame)

### doNew

public DocumentFrame doNew()

Specified by:
  `doNew` in class `Application`

### doOpenFile

public DocumentFrame doOpenFile(File file)

Specified by:
  `doOpenFile` in class `Application`

### doQuit

public void doQuit()

Specified by:
  `doQuit` in class `Application`

### getUpperDocumentFrame

public DocumentFrame getUpperDocumentFrame()

### getDocumentFrame

public DocumentFrame getDocumentFrame(File file)